include <base_tray.scad>;

caseDiameter = 25.5; // 25.5

caseRadius = caseDiameter/2;


caseMargin = 7;

hCaseCount = floor(width/(caseDiameter+caseMargin));

vCaseCount = floor((length-(hingeDepth+handelWidth+20))/(caseDiameter+caseMargin));

hCaseTotalMargin = (width-(((caseDiameter+caseMargin))*hCaseCount))/2;

totalCount = hCaseCount*vCaseCount;


render()
difference() {
	
	trayBase();

	for(i=[0:totalCount-1]) {
		assign(hPos=(((caseDiameter+caseMargin)*(i%hCaseCount))+hCaseTotalMargin+(caseDiameter+caseMargin)/2)+5
			,vPos=(((caseDiameter+caseMargin)*(floor(i/hCaseCount)))+hCaseTotalMargin+(caseDiameter+caseMargin)/2)+(hingeDepth+handelWidth)) {
			translate([vPos,hPos,0]) circle(r=caseRadius);
		}	
	}	

}



